Linea di comando

StartPage | <<Previous | Next >>
 ZipGenius 5 help file

Choose an item - see the Index for other topics

Introduction
ZipGenius features
Supported archives
Unattended setup

Toolbars
Customize user interface
Integration with Windows

Create A new archivie
Extracting files
Adding files and folders
 Previewing a file
Command line

E-mail and publishing to Web
Using FTPGenius

Hardware requirements
 Troubleshooting
Contacts

In this help file you will find many useful info that will help you to discover and use better each feature of the program you have downloaded.

Thanks for choosing ZipGenius among many competitors

- ZipGenius 5 Team -


Why files compression is useful?

StartPage | << Previous | Next >>
Introduction

Why file compression is useful?

The answer to this question becomes as more obvious as time passes by and the Internet spreads around the world: tomorrow way or working is just arrived. Today many people work and collaborate through the Internet and they often need share projects and documents; nowadays, this kind of stuff is a huge amount of bytes to transfer through the net and, even if broadband networks are spreading quickly, transferring a big file may be a problem and it could represent a loss of productivity. Compression programs allow to reduce the size of a file, as much as it is possible, and work becomes faster and easier.

But everyone can take advantages from file compression: students can store their researches over the Internet and bring them to school, or digital artists can share their pictures by using zip files.
Compressed files also may result useful when you need to backup your most important data, such as system files, and ZipGenius 5 has powerful backup features, so that you can quickly restore lost data.

Introduction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup


Archivi supportati da ZipGenius

Introduction

Supported archives

ZipGenius (as you may understand) gives full control on zip files and archives similar to zip, plus it can protect your zip files with a better encryption system than the one you normally activate by adding files with password. CZIP file type can be read just by ZipGenius 1.4 or later, or by program compliant with CZIP format.

Here are the other file formats supported:

  • ZIP / CZIP, JAR, 7z, EAR, WAR, XPI, PK3, SQX: all functions
  • CAB
  • RAR, ACE, TAR, TAZ, TGZ, GZ, Z, BZ2: these files can be just read and decompressed by ZipGenius. Compression is not supported because their algorhythm is not available to third parties.
  • ARJ, ARC, LHA/LZH, ZOO: ZipGenius can read these types but you must install an external compresison program to modify their contents.
  • PAK
  • WAL: WinAmp® skin file (treated as ZIP, plus it can be optimized)
  • WMZ: Windows® Media Player skin file (treated as ZIP, plus it can be optimized)
  • All OpenOffice.org/StarOffice 6.x documents (they are treated as zip files, plus they can be optimized)

ZipGenius supports documents produced with OpenOffice.org/StarOffice 6.x. Even if these are office suites, the documents they produce are common zip files, which contain some XML file. Now you can change the content of those XML file by extracting them with ZipGenius; moreover, you can optimize these documents by extracting those XML files and recompressing them but applying the best compression level available.

Introduction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup


Caratteristiche di ZipGenius 5

Introduction
ZipGenius features

ARCHIVES HANDLING______________________________

  • More than 20 archive types supported
    Handles ZIP archives sized over 4 GB.
  • OpenOffice.org/StarOffice 6.x handling and optimization capabilities
  • 4 modes to view files icons
  • 2 way to browse files: integral (as in WinZip®) or through folder view
  • 5 compression levels (storage + 4 compression levels)
  • Automatica zip comment reading
  • Automatic ReadMe.txt files reading (URLs can be detected and used)
  • Files list can be exported in 4 formats (HTML, CSV, XML, TXT)
  • Can create self-extracting files (SFX) with advanced features, that can even launch a setup procedure
  • Smart Extract: extracts and organizes files
  • History
  • Can create Multivolume archives (Disk Spanning)
  • Can repair damaged zip files, plus AutoTest
  • Drag and drop supported
  • Find files inside archives
  • MultiOpen can make you handle more than archive at once
  • 7-ZIP format supported
  • Favorite folders
  • Can install applications, themes for Windows XP and WinAmp/WMP skins temi e skin.
  • File marker upon given criteria

Internet AND mobilitY______________________________

  • Can interoperate with PocketPC® mobile devices
  • Can send archives through e-mail
  • Can publish archives to Web
  • FTPGenius (ftp client)
  • Supports UU/XX/MIME/BASE64 encoding techniques

USER INTERFACE__ ______

  • User cahn choose that layout that fits his/her needings
  • ZipGenius Starter: wizard-driven pre-configuration tool
  • First Step Assistant
  • Full Windows 98/ME/2000/XP shell integration
  • Customizable context menu
  • Highly customizable
  • Explorer styled user interface, now with Common Task sidebar
  • Menu items are grouped into sections
  • Can show a grid in the files list
  • Windows XP visual styles are supported
ADVANCED FEATURES AND MULTIMEDIA___________________
  • TWAIN devices supported (scanner and digital cameras) in order to import and compress pictures
  • Pictures preview
  • Can install external compression programs
  • ZG Update: automatic program update through the Internet
  • Command line driven
  • Cutter: a ZGTool to split large files in smaller parts

SAFETY AND privacy_____________________________

  • Can encrypt zip files (CZIP files through CryptoZip 2.1) + 3 cypher algorhythms (Rijndael AES, Blowfish, Twofish)
  • Can create self-locking and self-erasing CZIP files + self-decrypting archives (SDA) in .EXE format
  • Password Manager
  • Backup features
  • Can scan archives through an Antivirus program
  • Suspicious files can be detected
  • Various privacy settings
  • Can create and show zip file SIGNATURE

Introdu ction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup


Aggiornamenti

Introduction
Updates

ZipGenius development never stops (just some pause), so sometimes you may need to update your copy of this program.
Update procedure is automatic: you have only to go to "HELP" menu and to click on "Search for updates"; ZipGenius will try to connect to ZipGenius website, where it will check if you have the latest version of ZG.

If a newer version will be found, you will be allowed to download the update: this may be a file of various sizes, because it could be just a simple patch or a whole new "zipgenius.exe" file.

Under Windows 2000 and XP, only administrators can update ZipGenius.

Introduction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup


Requisiti di sistema

Introduction
System requirements

Minimum requirements_______________________________

  • CPU Pentium 100 MHz
  • 16 Mb RAM
  • 8 Mb of free hard disk space
  • Mouse
  • Windows 98/ME/2000/XP
  • Windows 95 and NT4 no longer supported

Suggested hardware________________________________

  • CPU Pentium 200 MHz
  • 32 Mb RAM
  • 8 Mb of free hard disk space
  • Mouse
  • Access to the Internet
  • Windows 98 (at least)

Introduction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup


Barre degli strumenti

User interface
Toolbars

ZipGenius user interface has evolved since 1997, when the very first release of ZipGenius appeared, but always offering three toolbars full of commands; now ZipGenius shows a new design inspired by Windows® XP, so even beginners can easily use this program. Commands are now available in different places:

MAIN TOOLBAR
It shows main ZipGenius commands ("New", "Open", etc.).

If you want to see buttons without labels, right-click on the toolbar and uncheck the "Show button labels" item; if you want to see smaller icons in the toolbar, right-click on the toolbar and check "Show smaller icons".

SIDEBAR
It was conceived to make easier ZipGenius usage, allowing access to many features through the "Panels" button. Available panels in the sidebar are:

  • Common Tasks
  • Folder view
  • Open archives
  • History
  • Zip list
  • Find Files

You can hide the SideBar from "Tools" > "Layout" menu, just as you could do with the status bar and the info bar.

Toolbar | Common Tasks | First Step Assistant | History | ZipGenius File Dialogs | Shell Integration | Folder View


Barra delle operazioni comuni

User interface
Common Tasks

The Common Tasks panel is one of the most important new features in ZipGenius interface. It is conceived to make easier working with ZipGenius, because it offers a "look and feel" similar to Windows® Explorer.

All main commands were moved to this panel (and to the popup menu, also). Here you sill find links to most used actions and they are grouped in several sub-panels, just as in Windows® XP. These links are context-sensitive, so they appear/disappear under certain circumstances.

Sub panels are:

Common tasks

  • New Archive: use it to create a new archive

  • Open Archive: opens an existing archive

  • Close Archive: closes current archive

  • Scan and Zip: it starts the wizard to import pictures from a TWAIN source (see: Scan and Zip page)

Archive Tasks

  • Add file: it allows adding one or more files to current archive

  • Add folder: it allows to add the content of a folder

  • Extract files: this link starts files extraction

  • Extract to CD-R/RW: this link can extract files to pre-burning folder of Windows XP, making them ready to be written to a CD-R/RW through CD burning capabilities of Windows XP

  • Delete: deletes all or just the selected files from current archive

  • Preview: this item allows to preview an archived file

  • Rename archive: renames current archive

Other Tasks

  • Print file list: send the file list to default printer

  • Sign archive: puts your signature in current zip archive

  • Export file list to html/xml/csv/txt: save files list in one of those formats

  • Make SFX: this item can convert zip, lha, lzh, arj or 7z archive to .EXE

Toolbar | Common Tasks | First Step Assistant | History | ZipGenius Files Dialogs | Shell Integration | Folder View


Assistente "Primo Passo"

User interface
"First Step" Assistant

First Step Assistant allows users that have selected "NORMAL" mode, to access to advanced features of ZipGenius. In ZipGenius 5 the FSA is in a bar above the main toolbar, so you can quickly choose an action to complete through the FSA. FSA list will vary under certain circumstances, so you won't see always the same items.

When you will have selected an action, click "GO" and follow on-screen instructions.

When ZipGenius is in "NORMAL" mode, the FSA bar is always visible and it can't be removed; however you can decide whether to show or hide it through the "Tools" > "Layout" menu.

Toolbar | Common Tasks | First Step Assistant | History | ZipGenius Files Dialogs | Shell Integration | Folder View


Cronologia archivi

User interface
History

Archives history keeps track of all archives you have used with ZipGenius: they are sorted by date and you can reopen them with a click on their filename.

History list shows also the full path to each archive and how many times they have been read.

To grant better protection to your work, ZipGenius can encrypt the history file: click on "Options">"Advanced settings" and open the "Safety and Privacy" page. Here you can check the "Encrypt history file" option.

WARNING: each time you change this setting, the previous history file will be removed.

Toolbar | Common Tasks | First Step Assistant | History | ZipGenius Files Dialogs | Shell Integration | Folder View


I dialoghi dei files di ZipGenius

StartPage | << Previous | Next >>
User interface
ZipGenius Files Dialogs

ZipGenius has a custom "open file" dialog, similar to the one used by Office 2000 and Windows 2000; in fact, it shows a list of default locations you can access, but you can also set your favorites list: when you are in a certain folder, click on "Add current folder". If you want to clean favorites list, just click on "Clean list".

Toolbar | Common Tasks | First STep Assistant | History | ZipGenius Files Dialogs | Shell Integration | Folder View


Integrazione con Windows

User interface
Shell integration

ZipGenius has been conceived to integrate with Windows® shell. When you associates archive types to ZipGenius, you can enable shell extensions: tooltips (moving mouse pointer over a zip file tells more about that file) and the context menu. To see this menu, you must right click on a file and you will see ZipGenius items.

You can customize menu items from Options panel: click "Options" > "Advanced settings" and go to "Shell Integration" page. Available items are:

Extract here
This command extracts files in the same folder of selected zip archive.

Publish to Web
Activates FTPGenius and transfers files to a FTP server.

Contents
The content of selected archive will appear in a new window.

Make EXE
Converts zip files to a self-extracting archive (SFX).

Send via e-mail
ZipGenius will create a new e-mail message with selected archive(s) as attachments.

Extract here, in [path]
Just like EXTRACT HERE, but files will be placed in the specified folder.

Extract to [path]
Extract files to specified path.

Setup
Extracts all files to a temporary folder and run the "Setup.exe" file.

When you right click on other types of files (or folders), you will get the following items:

Add to archive...
Add selected files to an archive.

Create [archive name].zip
Creates a new zip archive with selected files and folders.

Create and e-mail archive...
It works ust as previous item, plus it sends the new archive through e-mail.

ZipGenius also can tell detailed info about a zip file when you move the mouse pointer over that file, and you can add files to a zip file through Drag and Drop: drag files and/or folders over a zip and they will be added to that zip file.

OpenOffice.org/StarOffice 6.x DOCUMENTS
If you enable the "Support to OpenOffice.org documents" in the Options panel, the context menu associated to those files will have two new items:

Open with ZipGenius

Those documents will be treated by ZipGenius as standard zip files, allowing to modify the content of the XML files into them and to extract pictures contained into those documents.

WARNING: changing the content of the XML files is not suggested to beginners, because the document could be corrupted and it may become unreadable by OpenOffice.org.

Optimize document

This feature shrinks a OpenOffice.org document using the maximum compression level. OpenOffice.org documents are ZIP files with a different file extension, but the XML into them are added using a medium compression level, so ZipGenius extracts those files and packs them again. A small "ZG" comment is added: OpenOffice.org won't take care about that. That comment is used by ZipGenius to know if a OO.org document has been already optimized (when you update the document in OpenOffice.org, the comment is automatically removed).

Toolbar | Common tasks | First Step Assistant | History | ZipGenius File Dialogs | Shell Integration | Folder View


Visualizzazione cartelle

User interface
Folder view

ZipGenius can show how files are organized into folders in an archive. This feature now is more clever and you can filter the file list if you double click on a folder: ZipGenius will show only files related to the selected folder. Click "Reload list" if you want to reload the full file list. Click "Upper level" if you want to go to the upper level of folders. The "(-)" symbol is a placeholder that allows to filter the file list in order to see only files stored without path information.

This feature is accessible from the "Panels" button of the SideBar.

Toolbar | Common tasks | First Step Assistant | History | ZipGenius Files Dialogs | Shell integration | Folder view


Impostazioni generali

Options
Main settings

Here you can modify main ZipGenius settings.

AssociaTIONS
First of all, you can associate ZipGenius to all types of archive that it supports: choose one or more file type and click on "Associate". This action allows to open associated file types with ZipGenius, with just a double click on their icons.

ZipGenius USER MODE
Choose the ZG user mode that fits your level of experience in using PCs: if you feel as an expert PC user, choose "Layout for advanced users" (the "EXPERT" indicator will appear in the status bar); if you need a good help to compress files without hassles, choose "Layout for everybody" (the "NORMAL" indicator will appear in the status bar).

When in EXPERT mode, all ZipGenius features depends by your actions and the program won't help you in many cases; in NORMAL mode, instead, almost all actions are wizard-driven and you have just to follow on-screen instructions.

In any case, you can still use the First Step Assistant: in ZipGenius 5 it is placed in a bar above the main toolbar; just choose an action in list and click "GO", then follow on-screen instructions.

Main settings | User info | Layout | Paths | External compression programs | Advanced settings | Mobile devices


Informazioni utente

Options
User information

In this page you can write your personal info so they will be used as your zip archive signature (if you will sign a zip archive).

Write your name, last name, e-mail address and (if you have one) your homepage address; other info may be added in a later time.

Also, you can choose a picture of you (or another picture) to be shown in zip file signature: this picture must be a .BMP file, sized 121x121 (or picture may appeard malformed). If you won't specify any image, ZipGenius will use the default one.

Main settings | User info | Layout | Paths | External compression programs | Advanced settings | Mobile devices


Aspetto

Options
Layout

There are three subsections here:

ZG Style___________________________

This section allows changing ZipGenius colors and font used:

1 - ColorS AND Font:

ZipGenius allows to use many combinations of colors and fonts to customize ZipGenius look. You can save these settings in order to use them each time you run ZipGenius.

The SUITE edition offers some default styles, but if you have STANDARD edition, you will need also the Style Pack, which will install M.Dev Software default styles.

If you have styles installed, you need only to choose a style from list and to click "OK",

However you can create a custom style: you can modify background color, text color and font used for the file list, plus you can change SideBar's look in "Sidebar" section, by using SKINS: you can build your own sidebar skins, just ask to gui@zipgenius.it . Clicking on "Add theme" will store color scheme and sidebar skin you have selected.

If you want to change an existing style, you have to select it from list, modify it and save it again without changing its name: ZipGenius will ask if you want to update that.

Exporting a theme.
Click "Export style" and ZipGenius will export your current ZG Theme in a file, so that you can share it with friends.

ZG Themes - send your ZG Theme to M.Dev Software.
Other themes will be available in the future and it may include ZG Themes sent by users (you have just to export a style and send it to zginfo@zipgenius.it ).

ZG Style - how to install.
ZG Styles are really easy to install: just open the zip file that ships the new style and ZipGenius will detect it and will ask if you want to install that style. The new style will appear in the ZG Styles list.

2 - TOOLBAR

Here you can change settings related to the main toolbar of ZipGenius:

  • Show button labels: shows buttons labels on the toolbar.
  • Use selected font for buttons..: the font you selected will be used throughout the entire ZG window.
  • Use large characters: if you enabled previous item, characters' size will be increased.
  • Icons size: you can choose between large and small icons.
  • Other layout elements: you can hide/show many ZG interface elements.

Starting from ZG 5.2.5 even toolbar is skinnable. Skin files have the .ZTK extension and they are part of ZipGenius Themes.

3 -MISCELLANEOUS

Single-click: select this option if you want to use a single click where a double click is required.

Show grid: enables the grid in ZipGenius files list.

Full row selection: when you will select a file in ZipGenius list, its entire row will be selected.

The other four options can hide/show some parts of ZipGenius user interface (Status bar, Info bar, First Step bar, Sidebar). If you check all those options, you will get the most complete interface; if all options are disabled, you will see a minimal interface with just the toolbar and the files list (in NORMAL mode, "First Step" bar is always on an can't be removed).

FILE MARKER___________________________

If you have archives with many files inside, you may enable "file marker" feature to see certain files in a crowded list. Enable this feature by checking the "Enable File Marker" box and ZipGenius will mark all files related to the patterns you will add to the file marker list. You can specify to mark a certain file by specifying its filename (ex.: "MyPicture.jpg") or you can force ZipGenius to mark files of a given type (ex.: ".DOC"). NOTE: if you specify a filename for a file that may be marked due its type, the filename pattern will have priority over the generic pattern. Example: if you set "Report.doc" and ".doc" as patterns, ZipGenius will mark all ".DOC" files, but "Report.doc" will be marked with the different attributes you gave.

Moreover, when this feature is enabled, ZipGenius will use it to mark the following default patterns (not listed):

  • Readme.txt
  • Setup.exe, Install.exe, Install.com
  • Suspicious double file extensions: ".VBS.*" and ".JS.*"

LANGUAGE________________________________

ZipGenius now supports multiple languages, but English and Italian are shipped within the setup package. In this section you can choose which one to use. All shell extensions will be affected, but not SFX creation modules, which are available only in english or in italian.

You can check for additional language packs by clicking on "Connect": you will see a list of all available language packs on ZipGenius website. You just have to click on desired language pack and it will be downloaded, then you have to install it (it is a self-extracting file).

Select a language and click "Apply".

From ZipGenius 5.1 the language list will show only compatible language packs. Example: in ZG 5.1 language packs v.102 won't appear, but v.110 or newer will do.

Main settings | User info | Layout | Paths | External compression programs | Advanced settings | Mobile devices


Percorsi

Options
Paths

This page is used to set some paths that can be useful to ZipGenius.

It is shared in two subsections:

1) MAIN
In "Initial Folder", you may choose a path as initial folder for ZipGenius open file dialog. Usually, this path is th one where you find all the archives you use. You can choose from some default paths or you can type a custom one.

In "External compression program", you can specify the path of external programs needed by ZipGenius to handle archive files in oher formats than ZIP. For further information, see how to install external programs

2) Smart Extract
It is a ZipGenius 5 new features. Here you can set the paths where ZipGenius will automatically extract files upon file type (music, video and so on). Each file type will be extracted into a specific path by clicking on "Edit">"Smart Extract".

NOTE: If you are running ZipGenius under an operating system different than Windows Xp, those paths will be automatically created upon "Smart Extract" first usage. Under Windows XP, ZipGenius will use system paths, but you can still specify custom paths (system paths won't be affected).

Main settings| User info | Layout | Paths | External compression programs | Advanced settings | Mobile devices


Programmi di compressione esterni

Options
External compression programs

In a different section of this help file, you will find a list of support archive types; here, instead, we will see how to install external compression programs that you need for ARJ, ARC, ZOO and LZH file. Without these programs ZipGenius is just able to show their contents; using them you will be able to modify those archives.

Click on "Options", then go to "Paths" section and choose the format whose external program you are going to install (.ARJ, as example); if you know the full path to that program , you can type it, else you can click "Browse" to search it. Finally, click on "Save" to store that path..

WARNING! If you will click "OK" without clicking on "Save" before, paths won't be stored!

"Where can I find...".
This button will point your web browser to a ZipGenius website page, where you will find how to obtain one of required external programs. Some programs can be downloaded directly from ZipGenius website.

Show external programs running
By default, this option should be always enabled because it forces Windows to show these programs while running; however, if you don't want to see other windows than ZipGenius one, you can uncheck this box.

See also:

  • Supported archive types

Main settings| User info | Layout | Paths | External programsi | Advanced settings | Mobile devices


Impostazioni avanzate

Options
Advanced settings

Expert user may customize ZipGenius in an extreme way by accessing to the "Advanced Settings" section in the Options dialog.

Here you will find seven sub-sections:

1) MISC. SETTINGS:

Preview file with associated program
When this option is enabled, ZipGenius try to open a file through the associated program to that.

Export file list to format
You can tell to ZipGenius which format should be used by default to export the files list. In this case, if you will click "Export", the program will automatically export files to chosen format.

Show time spent
Enable this option to read how much time ZipGenius spent to complete an action. Don't be trustful to timings reported because they are influenced by hardware and software configuration.

Enable "Scan and Zip" feature
Enable this option if you want to import pictures from TWAIN devices, such as scanners and digital cameras.

Show read progress bar...
Here you can set at which number of files ZipGenius should show a progress bar, used to tell if it is reading the open archive. Default is "300", minimum is "50", maximum is "30000"

Enable Zip Auto "Check Integrity"

ZIP files are often damaged while being downloaded and in that case you need to TEST the archive, if you want to know if files can b extracted. If you want to do automatically that, you cam enabled this option; optionally, you can force ZipGenius to repair that.

2) Details selection

Here you can choose which columns should appear when you will use ZipGenius in "Details" view mode. If you check "Auto settings" option, ZipGenius will choose columns to show upon user layout selected. If you want to see only common columns, just click on "Default columns".

3) Antivirus

ZipGenius can drive an antivirus program to scan an archive, so here you can set antivirus program path, additional parameters for command line, and you can tell to ZipGenius to perform scanning.

4) TEMPORARY FILES

This tab allows to choose the folder in which ZipGenius will store its temporary files. TIP: you should indicate a folder in a disk unit that has a large amount of free space, because each zip file has to be "recreated" each time you modify its content; moreover, ZipGenius makes a backup copy while adding files, in order to save your data if files addition goes wrong.

Don't search temp. files at Windows startup
Each time Windows starts, ZipGenius searches for files that may have been left from previous session and delete them; if you enable this option, ZipGenius won't search those files and they may waste your hard disk space.

5) ENCRYPTION (CrYptoZip 2)

See also "Encrypting an archive".

Store CZIP key without confirmation
When this option is enabled, ZipGenius will automatically store CZIP Key/Passphrase in Password Manager List.

Force CZIP process on hard disk
If you use CZIP algorhythm to encrypt an archive, this option will force encryption process to be executed on hard disk; encryption will take a longer time, but it ensures completion if archive size is very large.

Default encryption method
Now, you can choose one on four encryption algorhythms: CryptoZip (suggested), Rijndael (AES), Blowfish, Twofish.

Default CZIP 2 archive type
Select wich type of CZIP archive should be suggested by program as default: you can create Standard, Auto-locking or Auto-erasing CZIP archives.

6) shell integration

Here you can set parameters for action started from Windows shell (the "context menu").

You can choose default compression level between "Maximum" and "Storage (no compression)".

You can enable ZipGenius shell extension by checking the box labeled "Enable context menu", then you will see ZipGenius items in the context menu that will popup when you will click on zip files or on other files. ZipGenius items can appear all listed in that menu or you can group them in a submenu: check the "Use cascaded menu" box.

You can customize ZipGenius shell extension by choosing which items should appear. NOTE: some item may appear or not depending by certain conditions (type of file, number of files selected, etc.).

ZipGenius supports also documents made with OpenOffice.org/StarOffice 6.x. Even if this is an office suite, it produces common zip files and give them a custom file extension; inside these files are XML files that are needed to compose the document on screen. If you check "Let ZipGenius support OpenOffice.org documents" option, ZipGenius will add two items in their context menu: "Open with ZipGenius" and "Optimize". The last one allows to reduce OpenOffice.org documents size).

Optionally, you can hide or show icons in ZipGenius items.

Check the "Drag over a folder to extract files" option to be allowed to extract files by dragging a zip files over a folder with right mouse button.

7) SAFETY AND Privacy

Long filenames warning
Some time ago, a group of researchers discovered that ZIP format has a security "flaw": every zip program can't handle zipped files whose filenames are longer than 255 characters. This issue may lead to a potentially dangerous situation, because someone may send malicious code through zip files. The worst side of this news is that, just as zip programs, even antivirus programs can't scan these files. Moreover, some zip programs (included Windows XP "compressed folders" system) may crash with unpredictable effects. This may be a very rare case, but ZipGenius 5 is ready to jump this obstacle: ZipGenius, in fact, allows users to choose how to behave in this case, so ZG can just warn about the presence of a file of this kind, or it can ignore that file while reading or extracting other files from zip archive.

You can also choose to disable this feature, but you do this at your own risk.

Recently Used Files List - privacy settings

This list reports the last archives opened with ZipGenius. You can enable, disable or enable it just for a sessions (in this case the list will be deleted when ZipGenius session ends).

Encrypt History File

Check this box to encrypt your history file with a strong algorhythm, so that you can read it only through ZipGenius. A non-encrypted file can be easily read through Notepad.exe. Each time you will enable/disable this feature, your previous history file will be deleted. In addition, now you can even delete the history file by clicking on "Clean history".

Main settings | User info | Layout | Paths | External programs | Advanced settings | Mobile devices


Dispositivi portatili (PocketPC®)

Options
Mobile devices (PocketPC®)

ZipGenius can cooperate with mobile devices based on Windows CE®/PocketPC® operating system, through Microsoft ActiveSync®, the synchronization tool shipped with PocketPC devices. ActiveSync (AS) can synchronize files between a desktop and a Pocket PC through a special folder: when you write or modify a file into that, AS will synchronize it in PocketPC "My Documents" folder; ZipGenius takes advantage from this action and can read, extract or modify archive files in your PocketPC (in real time, if PocketPC is connected).

You can extract files from an archive to your PocketPC: click "Options" and go to "Mobile device" section, then enable the "Show PocketPC in destination folders list"; when you do this you will see a new entry in the suggested folders list in the extraction dialog: "PocketPC". Select it if you want to extract files to "My Documents" folder clone on your desktop PC; files will be transferred to PocketPC upon connection.

Main settings | User information | Layout | Paths | External programs | Advanced settings | Mobile devices


Creating a new archive

Actions on archives

Creating a new archive

Click on "NEW..." to create a new archive: if you are using ZipGenius in "NORMAL" mode, this action will be full driven by wizard, else ZipGenius will wait for your action (adding files, folders or pictures from TWAIN devices). When creating certain types of archive, the program will ask you if you want to add files or folders even in "EXPERT" mode.

See also:

  • Adding files or folders
  • Importing pictures

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive | The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Adding files or folders

Actions on archives

Adding files or folders

An archive will exist only if it contains one or more files.

This procedure depends by user selected layout.

In “NORMAL” mode actions are driven by ZipGenius Wizard, which will explain what to do step after step; in "EXPERT" mode, instead, you have to do the following steps:

FILES SELECTION
You will see ZipGenius "Open file" dialog, where you can select one or more files to be added. When satisfied, click "ADD".

compression OPTIONS
In this dialog you will find the options available to compress files:

1) Main settings:

  • Compression level: there are 5 levels available. The first one just stores files without compression and it's the fastest way to zip files; second and third levels offer proportionally better compression but they are slower than the previous one; "maximum" level offers the best compression ratio and it's the slowest one. These level compress almost every kind of file that can be compressed, but files like GIF, JPG, TAR, GZ, ZIP, ARJ, ZOO are only stored because they are already compressed; if you want to try to compress them further, you must choose the "brutal" compression level.
  • Move files: selected files will be deleted from their original position after compression.
  • Path: you can choose whether to store the full or relative path info, or to save files without path info. When you will extract these files again, you will get back the original folder structure in the destination folder.
  • Include subfolders: use this option when you want to compress a folder and all its subfolders.
  • Password: check this option and write a password to protect files being added. Please note: a standard zip password protects files only from extraction but everyone is still able to read the entire file list of an archive. If you need better protection, you may want to encrypt a zip archive in CZIP format.

2) Advanced settings:

  • Add hidden and system files: this option allows to compress files which have "Hidden" and/or "System" attributes set.
  • Add files with "Archive" attribute: this option allows to compress files which have only the "Archive" attribute set: system and hidden files are excluded.
  • Reset "Archive" attribute: this option removes the "Archive" attribute from compressed files.
  • Filenames in DOS format (8.3): stores filenames in the old short format used by DOS, so long filenames will be cutted to fit this format. Example: "longfilename.txt" will become "longfi~1.txt". This option today appears useless but it is still present for backward compatibility
  • File types: when adding a folder, this box lets you choose which file types should be included in the zip file. By default, a folder is added with the "*.*" pattern, which means "all files", but you can specify only certain file types. Example: if you want to add only .JPG and .BMP files, write *.jpg;*.bmp . When you need to specify multiple file extensions, separe them with a ";" so the program will be able to compile a list of file types to consider.

You can set then HOW TO COMPRESS files:

  • Add files: files are just added to the archive; if a file with same filename already is in the archive, that will be replaced.
  • Freshen files: this option won't add any new file to the archive, but it will only update already existing files if files being added are their newer version.
  • Update files: just as Freshen files, but this option also adds new files to the archive.

When you need to add the entire content of a folder in "EXPERT" mode, you have to click on "Add folder". Options are the same shown for single file compression.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive | The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Adding files or folders

Actions on archives

Extracting files

Files extraction feature is the same for "NORMAL" and "EXPERT" mode.

Click on Extract to begin files extraction.

If no file has been selected in ZipGenius list, "All Files" option will be automatically selected; if one or more files have been selected, ZipGenius will automatically check the "Only selected files" option. Beside these options, you can see the options "Only files of type", which allows to extract only certain file types, and "By folder", which allows to extract files related to a certain folder (files have to be stored with path info).

From ZipGenius 5.1 you have more ways to extract files: in the extraction dialog you will find a useful sidebar with links to common system folders (Desktop, My Documents and so on): click on a link to set that as the destination path.
Also the "Extract" button and the popup menu have been enhanced with a new submenu called "Extract to...", where you will find the same list of common links: just select some file, right click and choose where to extract them. If you right click with no file selected, ZG will extract all files in archive.

OpTIONS

Use subfolders info
This option allows to rebuild of the original folder structure if files have been stored together with folder info.

Open destination folder
When extraction ends, it will open the destination folder.

Run Setup
If a setup file is in the archive ("SETUP" should appear in the status bar), ZipGenius will run that file at the end of extraction procedure.

Quit ZipGenius
When extraction ends, ZipGenius will shutdown itself.

You have also to tell ZipGenius how to behave when it is going to extract files already existing in the destination folder:

  • Don't overwrite - files already existing will be skipped.

  • Always Overwrite - files already existing will be replaced.

  • Freshen files - extracts and updates only file already existing in the destination folder; existing files will be replaced only if older than the compressed version.

  • Update files - extracts new files and updates existing files if compressed versions are newer.

  • Ask Before Overwrite - ZipGenius will ask you what to do.

Destination
In this box you can set in which folder ZipGenius will extract files. You can use the tree view to browse folders or you can type directly the path in the related field. Check "Create a folder from archive name" if you want to create a subfolder in the destination path whose name derives from archive file name. Example: if archive name is "MyArc.zip" and destination path is "C:\Temp", ZipGenius will create a subfolder and the destination path will be "C:\Test\MyArc".
Any path you will write in the destination field, it will be checked and non-existing subfolders will be created automatically, so if you write "C:\Test\MyFolder" and "MyFolder" doesn't exists in "C:\Test", ZipGenius will create that automatically.

Special destination folders
If you have a PocketPC® you can force ZipGenius to add it to the destination folders list of the extraction dialog. When you set "PocketPC" as destination, ZipGenius will extract files in the ActiveSync® synchronization folder, where any changes to files and folders reflects on your mobile devices each time you connect it to your desktop PC. For further info see ActiveSync help file and read the PocketPC® page of this help file.
Under Windows XP you are allowed to write files to a CD-R without using external applications. When you do that, Windows XP copy files to be burned to a special location that Windows XP represents as your CD-R writer device. You can extract files to that location by choosing "CD-R/RW" in the destination folders list. This feature is also available in ZipGenius popup menu and in the sidebar, for quick extraction to this location but with a small difference: when using this feature from the popup menu, ZipGenius will use path info by default; if you don't want to rebuild original folder structure in the CD-R folder of Windows XP, you have to go to "Options">"Advanced Settings">"Misc. settings" and to check "Extract to CD-R without folders". This procedure is not necessary when using the common extraction dialog, because the CD-R/RW writer is treated as a common folder. If you have special UDF applications (such as Ahead's InCD®) you can directly write files to a CD-RW because InCD overrides the system default behaviour and it's able to write files in real time to CD-RWs.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive | The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Deleting files from an archive

Actions on archives

Deleting files

WARNING! BE CAREFUL WHEN USING THIS FEATURE!

This action is available only for archives of types ZIP, CZIP, PAK, CAB, XPI, 7z; other archives need an external program.

The "Delete" command is only in the popup menu in order to avoid unwanted file deletions.

"Delete" acts as follows:

  • if one or more files have been selected, the program will ask if you really want to delete them;
  • if no file has been selected, the program will ask if you want to delete all files from the archive. If you will answer "YES" all files will be removed and archive will be ready to accept new files; if you will close an archive with no files inside, it will become unreadable (no file -> no archive).

The "First Step Assistant" also offer the chance to destroy the current archive.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive | The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Renaming an archive

Actions on archives

Renaming an archive

ZipGenius allows to rename an archive without quitting from the program.
Click on "Rename Archive" in the "File" menu or in the sidebar to do that. Also you might click on "Archive Properties" to see a dialog reporting info about current archive: here you can type the new name you want to assign to that archive and click on "Rename archive" button to complete this action.

WARNING: nested zip files can't be renamed if it is open in ZipGenius, but you can do that when you see that archive in the file list related to the main archive. You have to select that zip as you would do with other files, then click on "Rename file" in ZipGenius popup menu.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive | The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Signing an archive

Actions on archives

Signing an archive

Since previous editions, ZipGenius allows to put a "signature" in zip archives; this is just an additional file, containing your personal info (name, e-mail and Web address) plus a small picture (which can be a picture of you or your company logo) and a brief description of what's inside that archive. REMEMBER: the picture file you can use in your signature must be sized 121x121 and it must be in .BMP format. This signature can be read by ZipGenius 1.3.x or newer and all other zip program supporting ZGSign technique.

With ZipGenius 5 you will create ZipGenius 1.4 compatible signature; ZipGenius 1.3.x signature can be read but not created.

To put a signature ina zip file, just click on "Sign archive" in the sidebar, or click on "Signature">"New signature" in the "Tools" menu.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


The "Readme.txt" file

Actions on archives

The "Readme.txt" file

Almost all zip archives around have a file called "ReadMe.txt" inside, which is a file that should be read before extracting the content of the archive. When ZipGenius finds this file and user mode is "NORMAL" this file will be shown automatically; in "EXPERT" mode, you will have to click on "Show ReadMe.txt" under "Actions" menu or in the sidebar; the file will be extracted in a temporary folder and will appear in ZipGenius internal viewer.

For certain types of archive, this feature is not available.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip Lis | Creating Self-Extracting Archives | Password


Installing applications

Actions on archives

Installing applications

Zip archives are often used to distribute applications over the Internet, so those zip files contain files labeled "setup.exe", "setup.com", "install.exe" or "install.com", which usually starts program's setup; ZipGenius can detect those files and it can start setup.

When one of the above file has been detected, ZipGenius shows the text "SETUP" in the status bar and the related menu items will be enabled: just click on one of these to being action. ZipGenius will extract all files in a temporary folder and it will launch the setup file, then you have to follow the setup program to continue.

You will see a message from ZipGenius which will advise you to click "OK" when setup process is finished. REMEMBER: if you click "OK" when setup is still running, ZipGenius will try to delete all the temporary files extracted before and you may get errors.

This feature is not available for all types of archive.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Renaming a file

Actions on archives

Renaming a file

ZipGenius 5 allows to rename files compressed in zip archives.

Just select one file and right-click on it, then choose "Rename" from popup menu. You can rename that file as you usually do within Windows Explorer.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Preview of a file

Actions on archives

Previewing a file

ZipGenius allows to preview a compressed file: it will extract the selected file in a temporary folder and it will show that in different ways, then the file will be deleted.

Not all file types can be previewed: this depends by file type and selected user layout for ZipGenius.

NOTE: you can preview just one file at a time, so you can't use "Preview" feature if you select more than one file in ZipGenius window (excepted when you use "Preview Pictures").

ZipGenius will try to open the selected file with its associated program; if no program is associated to that file type, ZipGenius will try to show selected file in its internal viewer.

If you try to preview a zip file by double-clicking on it, you will enable the "Nested Zip List" feature, which allows to browse nested zip files.

INTERNAL VIEWER
This allows to read documents that can be read as text document; if text contains an URL or an e-mail address (written as mailto:name@provider.xxx), you can click on that text to activate hyperlink.

PICTURE PREVIEW

ZipGenius can show all pictures in an archive just as Windows XP does in "Preview" mode: just select "Picture Preview" in the View menu.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Nested Zip List

Actions on archives

Nested Zip List

Many zip archives have other zip files inside: these are called "Nested Zip Files" and they can be browsed as they were standard folders.

If a zip file appears in ZipGenius files list, double click on it and you will see the related panel in the sidebar; this panel will show a tree view, where the EXTERNAL ARCHIVE (the one you have first opened) is the root node and nested zip files are its children nodes. When you want to see the content of child node, double click on it and ZipGenius will reuse the same window to load the content of selected nested zip file.

If you want to go back to the external archive, just click on "Show Main Archive" above nested zip list.

Nested Zip Files can be modified as well as common zip files; however you can't modify content of nested zip files that have been stored with path info (ZipGenius will disable related commands).

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Self-Extracting Archives (SFX)

Actions on archives

How to create Self-Extracting Archives (SFX)

Sometimes you need to send a zip file to someone who hasn't a zip program installed. How can you show him/her the contents of your Zip file? Simply: convert it to EXE. This feature transforms common zip files into Windows Executable files, which don't need any program to be opened because they can extract files by themselves.

With ZipGenius you can create two different types of Self-Extracting Files (SFX):

  • Common SFX: this kind of SFX provides only basic extraction feature;
  • Self-Installing: this one can extract files and run SETUP.exe. This one can be created only if a setup program has been detected into the archive being converted.

ZipGenius 5 can use SFX Options files: these files can store the options you choose while creating a new SFX archive. You can store settings at the end of the SFX creation procedure (see below) or you can click Start>Run and type zg -SFX -TEMPLATE to force ZipGenius to create a option file template on your desktop.

If you have previously stored an SFX Options file (it has .SOF file extension), you can reload those setting just at the beginning of this procedure.

Archive title
Tell which is the name of the archive: it will be shown in the caption of SFX window.
In this same page you will be warned if the zip file being processed contains a setup program (setup.exe, install.exe or install.com detected): you will be allowed to choose between creating a self-installing archive and creating a common SFX file. In the first case you could also choose to force the SFX to extract files to a unique temp folder (you won't be prompted do tell a default extraction path).

Default extraction folder
Tells to the SFX file where it must extract files.
You can also force the SFX to read a value from a given Windows Registry key; this feature is really useful for Web page designers and software developers who need to send files that they must be extracted in certain folders, whose path may differ from user to user.
ZipGenius offers some default Registry keys:

  • HKCU\Software\Borland\Delphi\6.0\RootDir
    Borland Delphi 6.0 root path
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Desktop
    User's Desktop path
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Favorites
    User's Favorites path
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\My Music
    My Music folder
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\My Pictures
    My Pictures folder
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\My Video
    My Video folder
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Personal
    My Documents folder
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Start Menu
    Start Menu folder
  • HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Startup
    Startup folder
  • HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Common Desktop
    Common Desktop folder under NT/ Windows 2000 / Windows XP
  • HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Common Favorites
    Common Favorites folder
  • HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Common Programs
    Common Programs folder
  • HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Personal
    Common My Documents folder

Warning: some of these keys may have no effect if your SFX runs under Windows 9x/ME: in fact, these operating systems don't allow advanced multi-user profiles as Windows NT/2000/XP do, so it's suggested to use registry keys for users (those beginnning with HKCU).

You can specify also custom registry keys.

Example: you want that your SFX reads a folder path stored in the "AppPath" string value shown above: to do that you must copy the highlighted part of key name, to add a "\" and finally to add the value name (AppPath). You will obtain: HKEY_CURRENT_USER\SOFTWARE\M.DEV SOFTWARE\ZGTOOLS\APPPATH. The name of the value to read must be always put at the end of key name or the SFX will read the DEFAULT value.
You can write the initial part othe key name both in long or short format:

  • HKEY_CURRENT_USER or HKCU
  • HKEY_USERS or HKU
  • HKEY_LOCAL_MACHINE or HKLM

These are the only registry keys that contain folder paths. Environment variables are supported (ex.: "%windir%).

Destination subfolder
Here you can specify in which subfolder of the destination path the SFX must extract files (even if path must be read from the Registry). You can specify subfolders on multiple sublevels (ex.: "Lib\Vcl\Test\Test 2"). Non existing subfolders will be created.

Icon
You can further customize your SFX by choosing an icon. This can be an .ICO file or it can be extracted form .EXE or .DLL files; by the way you can use the default SFX icon of ZipGenius.

Startup message
You can make appear a message when someone opens your SFX file. You can choose among thrre kinds of message: standard, information, request. If you don't want to show any message, leave blank the text field and click "Next".

Autorun of a file
If you want, you can choose which file should be launched when extraction is finished.

Other options
This is the last step: here you can modify other settings of your SFX.

  • Files list - this option allows you to choose to make the file list visibile, initially invisible or always invisible.
  • Allow user to deactivate autorun... - this options allows user to deactivate the autorun of the file you have selected.
  • If a file already exists... - choose how the SFX should behave if a file being extracted is already placed in the destination folder.
  • Hide overwrite mode selection - check this option to avoid further changes made by final user to the previous option.
  • Allow user to modify the list of files to be extracted - you can allow the final user to decide to extract single files or the whole content of the archive.
  • Show confirmation message - when extraction will be finished, the final user will see a confirmation message.
  • Expand environment variables - this option replace the exact path associated to environment variables (ex.: %windir% will be replaced by the exact path of Windows folder).
  • Allow user to abort extraction - enables or disables the "Cancel" button in the SFX GUI.
  • Save in an options file - ZipGenius will ask where do you want to save the .SOF options file.

If you want, you can save these settings in an SFX Option File so that you can reuse them in other sessions.

Click "Next " to complete the creation of SFX file.

You can also create SFX files from ARJ and LZH archives.

SFX archives can be also made through the command line, which relies on an options file: this is a file that ZipGenius can read to set the SFX options. This means that you can store the option file where you want and that you can reuse this file as many time as you need. This is extremely useful if you need to create many SFX files through a .BAT or a .CMD file, using different options for each one.

EXAMPLE: let's suppose that we need to create two SFX files with different options. We could put the following two lines in our .BAT file:

zg -SFX "C:\Test1.zip" -IT "C:\My Documents\Test1opz.txt"

zg -SFX "C:\Test2.zip" -US "C:\My Documents\Test2opz.txt"

As you can see, each SFX will have the appropriate options and you don't need to remember what options to use for a given zip file. Creating a new option file is quite simple because you have only to type zg -SFX -TEMPLATE in the command line: a new option file template will appear on your Desktop so that you can modify and save it where you want.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Password

StartPage | << Previou s | Next >>
Actions on archives

Password

You can protect files in a zip archive with a password, but this doesn't mean that you can protect your files list from reading, because a zip password protects files only from unauthorized extraction.

ZipGenius can protect an archive with standard industry zip password, but this feature is still present only to ensure compatibility with other zip programs; if you need more protection, you may consider using the CryptoZip technique, which encrypts archives in several different ways.

When you want to extract password protected files, you can type a password just in the releated field in the extraction dialog, but sometimes files may be protected with different password: in this case, ZipGenius will ask you a new password to continue file extraction.

Tips for choosing a good password

Even if password technique becomes weaker day after day (encryption techniques are stronger than a simple password), it is still a wide spread way to protect files, so choosing a good password is just the first step. Just follow these tips:

  • Password should be at least 8 characters long; longer passwords require longer work to be cracked with password cracker applications;
  • use "illogical" passwords; don't use people's name, birth date or real things names, etc., but use a casual sequence of characters (ex.: "xOOp24CcFFg");
  • increase password strength by using ALPHANUMERIC characters and both letter cases (see previous example);
  • don't use always the same password for different archives;
  • if you can, change password periodically;
  • don't tell your password to anybody: be jealous with it;
  • third parties' password managers are really comfortable to use, but it would be a good idea to store password list in a safe place away from your PC. Nothing is safe, even the strongest encryption algorhythm around.

These tips apply also to passphrases used for CryptoZip encryption techniques.

Creating a new archive | Adding files or folders | Extracting files | Deleting files | Renaming an archive | Signing an archive| The "Readme.txt" file | Installing applications | Renaming a file | Previewing a file | Nested Zip List | Creating Self-Extracting Archives | Password


Why files compression is useful?

Advanced actions

Antivirus

Virus number grows day after day so everyone should have a good and up to date antivirus program. With ZipGenius you can scan archives through the antivirus program you have. You can decide to force ZipGenius to launch antivirus program before opening an archive or you can click Today everyone must have a good antivirus program to be safe on the Internet, so ZipGenius now can force your antivirus to scan archives before opening them, or you can scan them when they are already opened in ZipGenius through the related item in the popup menu of ZipGenius.

This feature must be enabled from the "Options" panel, in the "Antivirus" page.
First of all, you must type the full path to your antivirus program. Each program has its own path and filename, so it's up to you to find the right path. You can click the "Browse" button attached to the path field or you can type directly the path into that box. If you need help, you can click the button labeled "Antivirus Web List" that will open your default web browser and point it to a special page in www.zipgenius.it, which hold a list of already known path for some antivirus program.

The "%s" symbol is a placeholder: ZipGenius will substitute it automatically with the filename of the archive being scanned. Be careful when you place this symbol, because if it is in a wrong position in the command line, the antivirus may fail to start.
When scan will be finished, ZipGenius will ask you if the AV program found any virus.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

Multivolume archives

When you need to send a large archive via e-mail or stored ina floppy disk, you must take care about the file size. Even if you connect to the Internet through high speed connections, sending a large file may become a problem because many ISP put a size limit to the attachments you can send via e-mail; moreover, floppy disk still are the most used removable media in certain countries where CD burners still have high prices. In this case you have to build a Multivolume archive, which is the original archive divided in smaller parts.

Multivolume features are in the "Multivolume Archives" section of Actions menu and are:

  • Disk Span - this action lets you divide the archive in smaller parts
  • Disk Unspan - this action lets you rebuild the original archive on your hard disk

ZipGenius way of creating multivolume archives is different from other program and it is a bit more logic:

  1. First of all, you have to create a ZIP archive as you usually do;
  2. click on "Disk Span" to start splitting the archive.

This procedure lets you modify your archive until the second before you start to split it, because ZipGenius doesn't write spanned archives directly when you create a new one: you can create and correct your archive as you want (or need), then you can split it in smaller parts.

You will see a dialog where you can choose the destination unit for the spanned archive. As you can see, you can choose even an hard disk: in that case ZipGenius will ask you where to create a subfolder labeled "ZipGenius Span Output", which will contain the resulting file parts. This option is useful when you don't want to send file parts directly to a floppy disk set, or when you need to send file parts through the Internet. Choose the floppy disk unit to span archive on a set of floppy disks.

If you choose an hard disk as destination, you must select a size for the file parts being created. ZipGenius offers some default sizes to choose between, but you can set a custom size in bytes.

On the contrary, if you choose to span archive on a set of floppy disks, ZipGenius will start that action and will require the first disk you want to use; the program will check it and if disk isn't empty, ZipGenius will ask if you want to erase it. WARNING: erasing the floppy disk will make you lose any kind of data stored into that.

The resulting file parts will have different file extensions:

  • .ZIP - this will be the only file you can read with zip programs
  • .z01 .. .zXX - these will be the file parts and they can't be read by zip programs

Warning: ZipGenius has adopted this new spanning scheme, which is compatible with WinZip®, but other zip program may fail to read archives spanned in this way.

The reverse action is labeled "Disk Unspan" and it is used to rebuild the original archive. You will be prompted to select a folder where to recreate the archive and the program will do the rest.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

CryptoZip - making encrypted zip files

One of the most important features of this versione of ZipGenius is CryptoZip. This technique offers a better protection for zip archives than the standard password protection method. Today there are many password recovery utilities on the Web, which are really able to discover zip standard industry password; if you use one of them, sooner or later that program will find the correct password and will open the zip file.

On the contrary, ZipGenius can encrypt zip files using four algorhythms:

  1. CZIP: this is ZipGenius custom algorhythm. It is slow (so it's suggested when encrypting small archives) because it encrypts byte-per-byte, but it's quite secure. You must enter three values between 0 and 65535 ("0-0-0" is not allowed), so you have 1 on 281.474.976.71 0.656 available combinations. Probably it can be cracked, but it would require too much time to try.
    When the original zip file is larger than 10 MB, CZIP algorhythm is not suggested if you want a fast encryption (see below).
  2. BlowFish: you must enter a pssphrase. The longer passphrase you will use, the stronger encryption you will get. Faster than CZIP.
  3. TwoFish: you must enter a passphrase. It's faster than CZIP and BlowFish, it's more secure than BlowFish.
  4. Rijndael: you must enter a passphrase. It's faster then CZIP, slower than BlowFish and TwoFish, but stronger than all the other algorhythms.

ZipGenius 5 introduces CZIP 2.1 file format. This is still an encrypted zip archive but nw its header stores some info and it will let know quickly if given key or passphrase matches or not, without waiting to decrypt the archive and see if decryption failed or not. With CZIP 2.1 files you can store your name and your e-mail address, so that who receives your file can contact you in an easy way. Moreover, CZIP 2.1 let you create three kinds of CZIP files:

  • Standard
  • Self-locking: after three wrong keys/passphrases the CZIP archive locks itself.
  • Self-erasing: after three wrong keys/passphrases the CZIP archive delete itself.

Finally, you don't have anymore to send any tools to someone before you send him a CZIP file: now you can create Self-Decrypting Archives (SDA), which are in executable format, just as if they were SFX files.

ZipGenius now has a Password Manager to keep track of all keys and passphrases used. The Password Manager can be reached both from ZipGenius and from the Start Menu, and it allows to export the list of keys and passphrases.

WARNING! Once you have encrypted a zip file with CryptoZip, you MUST use the same key you used to encrypt the original zip file, otherwise the encrypted file will remain unreadable. For this reason it is suggested to let ZipGenius store the key/passphrase in the Password Manager.

You can encrypt a zip file by clicking on Actions>Encrypt in the main menu.

If CZIP file has been encrypted with CZIP algorhythm you will have to write the three values used to encrypt it; if archive has been encrypted with one of the other algorhythm, you must type the right passphrase.

Password Manager
The new Password Manager replaces the key list dialog available in previous versions of ZipGenius. It is a stand-alone application and it can be reached even from the Start Menu. PM stores all the keys and passphrases you use to encrypt zip files, if you check the related box in the encryption wizard.

If you leave this box unchecked, the key/passphrase won't be stored.

PM stores these info in an encrypted list in order to offer more protection to your data.
When you run PM for the first time, it will prompt you to set a password to allow access to the key list. Once you log in, you will see the following window:

When you gain access to PM, you can:

  1. Load a .ZGK file
  2. Reload the default key file
  3. Copy selected key/passphrase to clipboard
  4. Export key list to a .ZGK file
  5. Print the key list
  6. (See point #3)
  7. Delete selected item
  8. Change login password
  9. Exit

You will see the list of all available keys and passphrase: you have only to choose one and to report it in the CZIP password box you will see while opening an encrypted archive. When you open an encrypted archive you are prompted to type a key/passphrase or you can click on "Password Manager" to launch PM: if you do so, PM will perform a search in its default key file and, if it finds a filename entry that matches the CZIP filename, it will mark this entry with a red background. Now you can copy the key/passphrase to clipboard (use the related button or right-click on marked entry) so you may paste it in CZIP password box.

PM can be used to read other key files but only if those were created by your copy of PM: when you export a list to a .ZGK file, PM puts the password used to access to PM in that file; when file will be loaded, PM will check if login password is equal to the one stored in the ZGK file. If passwords match, you will see the imported key file, else you will get an error message. REMEMBER: it is highly suggested to leave login password equal to the one used for the first access, because if you change it after you have exported any .ZGK file, those files might be unreadable due to the new login password. This is a security feature: the default key file (the one loaded when PM starts running) is automatically updated with the new login password, so it will be always available to you. That's why it is really important to choose a good login password when PM runs for the first time.

ZGK files can be created by clicking on the related button in the toolbar: the program will ask you to type the login password again, only to do a quick security check, which has no effects, however, on ZGK file creation.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

Scan and Zip - importing pictures from TWAIN devices

Some time ago plain picture scanners were the only devices used to import pictures to the PC, but today digital cameras are a great reality and everybody is going to replace his old film camera with a digital one. That's why ZipGenius' Scan and Zip feature has been enhanced. In this version Scan and Zip is presented as a wizard, so you will be guided through the whole process that will import one or more pictures to ZG.

REQUIREMENTS
 This function needs TWAIN drivers to be installed. If your imaging devices have custom drivers, ZipGenius can't import pictures.

Click on the "Scan & Zip" item in the sidebar or in the main menu.

Now follow these steps:

1) CHOOSE PICTURE FORMAT.

Choose which picture format ZipGenius should use: if you choose JPG you can also select a quality level between 0 and 99, where 99 is the best quality. Remember this: a JPEG file will have a very large size if you choose the best quality, but you will obtain a small JPEG file if you will choose the worst quality (colors will be dramatically reduced). In any case, you can choose .BMP format, which can be highly compressed.

2) CHOOSE A GROUP NAME and IMPORT IMAGES.

First of all you must choose a name for the picture(s) you are going to import. This is important because ZipGenius will save pictures using this name plus a number in the filename. Example, if "Summer" is the group name:

  • Summer (0).jpg
  • Summer (1).jpg
  • ....
  • Summer (X).jpg

When you have typed the group name, you can click on "Import pictures" to run TWAIN interface. Make sure to have a TWAIN device connected!
Choose any image you want to send to ZG. When ZG finishes to save pictures in its temporary folder, you will see the first image in the small preview; now you can browse pictures using the arrows and the "home" buttons. When an image is displayed, you can click on "Preview and edit" to see it in its default size through ZG's pictures viewer. When you do this you can also rotate pictures so you can store them in the right position. When a picture is shown, you can also delete it by clicking on "Delete selected".

From ZipGenius 5.1 you can even capture your desktop to create screenshots: click on "Capture Desktop" and ZipGenius will minimize to leave your screen free and ready to be captured. You can take how mant shots you want: just press F1 on your keyboard to capture screen. Press F11 to go back to ZipGenius: you will see all your shots in the preview frame.

3) FINAL STEP: COMPRESSION.
ZipGenius 5 allows to compress pictures also in .CAB and .7z format: you have only to choose which fits your needs:

Format | PROs | CONs
ZIP | Widely used. Choose this format if you need to send your pictures around. | Has a good compression ratio only with BMP pictures because they aren't already compressed
CAB | Good storage format: useful if you want to store pictures without compression. | Very low compression ratio. Not very used around.
7z | High compression ratio. It uses many new compression techniques and it is suggested to store pictures and multimedia files. | Not known as ZIP format, few programs can handle it.

If you have ZG Album installed, you will see also an option labeled "EXE (Make slideshow)". If you choose this option, ZipGenius will start the process to build a picture slideshow (see: Making a slideshow). Pictures will be stored in a zip file which will be converted to EXE and it will include a small applet capabl of showing pictures.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

ZG Album - how to make a slideshow

ZG Album is a new optional component for ZipGenius 5. It is shipped within SUITE Edition but you can decide to avoid its setup. STANDARD Edition users must download it from www.zipgenius.it. ZG Album allows to build pictures slideshow so you can send your pictures to your parents, relatives and friends without hassles.

You have two ways to make a slideshow:

  1. Click on "Make a slideshow" item in the main menu: ZipGenius will ask you to choose a folder containing .BMP and .JPG files.
  2. Click on "Scan and Zip" to import pictures from a TWAIN device and choose "EXE" as archive format.

When ZipGenius will be ready to create the slideshow will ask you some customization: choose a title for your slidshow and fill all the other fields, then go to the "Pictures" tab and click: here you can write a short comment to each picture and choose which picture you want to add to the slideshow. You will see a thumbnail of selected picture and its default comment (usually, its filename). Write a comment, if you want, and click "Save comment".

From ZipGenius 5.1 you can protect your slideshows with a password.

When you are ready, you have only to click on "Proceed" and ZipGenius will build your new slideshow. It is a special SFX which will extract files to a volatile folder before running the slideshow applet. That folder will be removed at next reboot.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

Command line switches

ZipGenius can be used also through its command line. Here are all available commands. Each one has its own syntax.

  • add
  • backup
  • oerestore
  • extract
  • delete
  • destroy
  • print
  • export
  • mail
  • sfx
  • optim

-add

  • Syntax: zg.exe -add archive file1 [file2 ... fileN] -NUM [-( 0 | 1 | 4 | 9 | B ) RPHAZKWDEpassword]

Adds files to an archive.

Archive:

the full pathname of the zip file that you wish to create (ex.: "C:\Windows\Desktop\Test.zip").

File1 .. fileN:

pathname of the file that you want to add to the archive; you can insert as many filenames as you want (see examples below).

-NUM:

kind of compression.
You must choose one of the following:

  • N - normal addition, adds files to the archive;
  • U - update archive, updates files already in the zip files with their newer versions BUT DOESN'T ADD NEW FILES;
  • M - moves files after that they've been added. BE CAREFUL.

-0149BRPHAZEpassword:

switches for compression. You can use as many switches as you need.
Meanings:

  • 0|1|4|9|B - compression level, where "0" means "no compression" and "B" means "Brutal compression";
  • R - recurses subfolders: if you choose to add one or more folders, the program will add the content of their subfolders, too;
  • P - stores original file path;
  • S (must be used together with P) - stores relative file paths
  • H - adds hidden archives;
  • A - adds only files with the "Archive" attribute;
  • Z - resets the "Archive" attribute;
  • K - show progress indicator;
  • W - stores empty folder;
  • D - save filenames in DOS format;
  • E - protects with password (optional: if you don't specify one, ZipGenius will ask you to type a new password)

The -add command can be used also to zip one or more folders (see examples 6 and 7). It's suggested to use quotes to indicate paths, specially if they contain spaces. This command accept wildcards as "*".

Example 1 - how to add the "test.txt" file to archive "arctest.zip" using the maximum compression level and saving the original pathname:
zg.exe -add arctest.zip test.txt -N -9P

Example 2 - how to add the "test.txt" file to archive "arctest.zip" using the maximum compression level and saving the original pathname, and to protect the archive with a password ("tuttifrutti"):
zg.exe -add arctest.zip test.txt -N -9PEtuttifrutti

Example 3 - how to add the "test.txt" file to archive "arctest.zip" using the maximum compression level and saving the original pathname. In this case the program will ask user for a password:
zg.exe -add arctest.zip test.txt -N -9PE

Example 4 - how to update the "test.txt" file and how to add a new file to the "arctest.zip" archive:
zg.exe -add arctest.zip test.doc test.txt -U

Example 5 - how to zip the folder "C:\Test" with the maximum compression level:
zg.exe -add test.zip "C:\Test\*.*" -N -9

Example 6 - how to add the folder C:\Test and C:\Test2 to Test.zip. The "P" is not mandatory but it's useful if you want to keep separated files with the same filename but located in both the two folders:
zg.exe -add test.zip "C:\Test\*.*" "C:\Test2\*.*" -N -P

-backup

  • Syntax 1: zg.exe -backup destination type [-CDU]
  • Syntax 2: zg.exe -backup -F C[1|5|9|B]URPK archive folder [+|-]file1 ... [+|-]fileN

Backups the entire content of a folder or it can backup a folder without given files (or file types).

The -backup command usually does a backup of the following special folders or of an entire folder, but if you need to exclude certain files from the backup, you must use the -F parameter (see the second syntax of this command).

"Destination": it's the path where the backup archive will be created.

"Type" can be one of the following:

  • >MUSIC< - "My Music" fodler backup (Windows XP only)
  • >PICS< - "My Pictures" folder backup (Windows 2000 or XP only)
  • >VIDEO< - "My Video" folder backup (Windows XP only)
  • >FAVORITES< - "Favorites" backup
  • >DOCS< - "My Documents" folder backup
  • >DESKTOP< - Backup del Desktop
  • >FONTS< - "Fonts" folder backup
  • The path of any folder (ex.: "C:\Test\SubTest")

Switches:

  • C: compresses files.
  • D: adds date (in the YYYYMMDD format) and hour to the backup filename (ex.: "docs_20020309_1320.zip").
  • U: updates files already in he backup archive and adds new files to the archive.

If you want to backup a custom folder, you can type its path between quotes, instead of using one of the preset types.

Example 1 - Favorites folder backup, the archive will be created on the desktop:
zg.exe -backup "C:\Windows\Desktop" >FAVORITES<

Example 2 - My Pictures folder backup, files will be compressed and the archive will be created in "C:\Out":
zg.exe -backup "C:\Out" >PICS< -C

Example 3 - My Documents folder backup, the archive will be created in "C:\Test", but if the backup file already exists new files will be added and existing ones will be updated:
zg.exe -backup "C:\Test" >DOCS< -U

Example 4 - backup of C:\Test, the file will be stored in "C:\Test2" and the filename will indicate date and hour of creation:
zg.exe -backup "C:\Test2" "C:\Test" -D

The -F parameter allows you to add or exclude certain files or file types froma backup. Its syntax is quite simple because you only need to tell:

1) the options for compression (see below)

2) the new zip filename

3) the folder being compressed

4) which files should be added or excluded

Options are:

  • C - sets the compression level. Ex.: "C1" for compression level 1, "CB" for brutal compression and so on;
  • U - updates files already in an already existing archive and adds new files to that one;
  • R - adds subfolders (recursion);
  • P - stores the original files path
  • K: shows a progress indicator.

Example: suppose that you want to compress all files in "C:\Test" to "C:\Windows\Desktop\Test1.zip" but you don't want to add .DOC files. You will write:

zg -backup -F -CBRUP "C:\Windows\Desktop\Test1.zip" "C:\Test" +*.* -*.DOC

As you can see, you need only to specify a "+" for files to be added or a "-" for files to be excluded. Don't forget the -F parameter.

-oerestore

  • Syntax: zg.exe -oerestore archive

Restores the backup of Outlook Express messages and folders automatically.

-extract

  • Syntax: zg.exe -extract archive [file1 file2 ... fileN] [-APODKEpassword] "Destination"

Extracts files from an archive.

  • A: Extracts all files.
  • P: Use stored path.
  • O: Always overwrite existing files.
  • D: Open destination folder.
  • K: Shows a progress indicator.
  • E: If archive is password protected then use the password attached to this parameter (if password is not specified, ZipGenius will ask to manually enter it).

The destination folder must be typed as the last argument in the command line.

Example 1 - extracting all files from "arctest.zip" in "C:\Test" folder, using original file paths:
zg.exe -extract arctest.zip -AP c:\test

Example 2 - extracting all .DOC files from "arctest.zip" in "C:\Test" folder:
zg.exe -extract arctest.zip *.doc c:\test

Example 3 - extract all .DOC files from arctest.zip to the C:\Test folder; if archive is password protected then use the password “tuttifrutti”:
zg.exe -extract arctest.zip *.doc –Etuttifrutti c:\test

-delete

  • Syntax: zg.exe -delete archive [file1 file2 ... fileN]

Deletes files from an archive

Example 1 - deleting all files from "arctest.zip":
zg.exe -delete arctest.zip *.*

Example 2 - deleting "test.txt" from "arctest.zip":
zg.exe -delete arctest.zip test.txt

Example 3 - deleting all .DOC files from "arctest.zip":
zg.exe -delete arctest.zip *.doc

-destroy

  • Syntax: zg.exe -destroy archive

Destroys an archive.

Example: zg.exe -destroy arctest.zip

-print

  • Syntax: zg.exe -print archive

Prints the file list of an archive.

Example: zg.exe -print arctest.zip

-export

  • Syntax: zg.exe -export "archive" format "destination"

Exports the file list of an archive in a specified format.

Type the destination format after the archive name:

  • HTML: exports the list in a Web page.
  • CSV: exports the list in a comma separated values file.
  • XML: exports the list in a XML file.
  • TXT: exports the list in a plain text document.

Example 1 - exporting the file list of "arctest.zip" in a Web page:
zg.exe -export "C:\Test\arctest.zip" HTML "C:\Windows\Desktop"

Example 2 - exporting the file list of "arctest.zip" in a XML document but the program will stop to ask the destination folder for the resulting file:
zg.exe -export "C:\Test\arctest.zip" XML

-mail

  • Syntax: zg.exe -mail archive1 [archive 2 ... archive N]

Sends one or more archive via e-mail.

Example: zg.exe -mail arctest.zip

-sfx

  • Syntax 1: zg.exe -sfx -template
  • Syntax 2: zg.exe -sfx archive -IT|US optionsfile

It creates a self-extracting archive from a zip file or it creates the options file template.

Just as explained in the section related to SFX archives, ZipGenius can creates SFX archives with the same options that you would use while creating a SFX file through ZipGenius interface.

The first thing to do is to write an options file. Type the command ZG -SFX -TEMPLATE, and ZipGenius will save a template on your Desktop; this template will show all the options set to their default values, but - obviously - you can modify them as you need. The following are the available options.

  • Title
    write here the title that will appear in SFX dialog
  • MsgType
    0 - simple message (only "OK" button)
    1 - information ("OK" and "Cancel" buttons)
    2 - confirmation ("Yes" and "No" buttons)
  • MsgText
    Write here the text of the message that you want to show when your SFX will run. If you don't want any message leave this field blank
  • Autorun
    0 - FALSE: autorun is disabled
    1 - TRUE: autorun enabled, see RunFile and AskAutorun.
  • RunFile
    Write here the full path of the file that will be launched. Ex.: RunFile="\Test\Testfile.exe", or: RunFile = "Setup.exe". If the file has been stored with its original path, you must type the path also, just as you see in the first example. It is highly suggested to write the filename between quotes (").
  • AskAutorun
    0 - FALSE: the checkbox that allows to disable the autorun from the SFX is hidden
    1 - TRUE: the checkbox is visible
  • DestPath
    Write here the default extraction path that will be suggested in the SFX dialog. you can use all the values explained in How to create a SFX archive
  • DestSubPath
    Write here the name of the subfolder that the SFX should create in the extraction path. For more info see How to create a SFX archive
  • OvrType
    0 - asks what to do if a file being extracted already exists
    1 - always overwrites already existing files
    2 - skip files already existing
  • HideOvrBox
    0 - FALSE: shows the overwrite mode selection box
    1 - TRUE: hides the overwrite mode selection box
  • SelectFile
         0 - FALSE: the final user won't be allowed to choose the files to extract
    1 - TRUE: the final user will be allowed to choose the files to extract
  • ShowSuccessMsg
         0 - FALSE: this won't show a message at the end of files extraction
    1 - TRUE: a message will appear to confirm the end of files extraction
  • ExpandEnvVars
         0 - FALSE: if the default extraction path (DestPath) contains environment variables in the %...% format, these won't be converted (not suggested)
    1 - TRUE: converts the environment variable in the %...% format contained in DestPath
  • HideFileList
         0 - always shows the files list
    1 - the file list is initially hidden, but you can make it visible by clicking on "Show files"
    2 - file list is always hidden
  • AllowCancel
         0 - FALSE: this option doesn't allow to abort extraction
    1 - TRUE: this option allows to abort extraction
  • Icon
         Write here the full path to an icon file (.ICO). You must write the file path between quotes ("). If the specified icon doesn't exist or the path is wrong, ZipGenius will use the default SFX icon. ZipGenius will use the default SFX icon even if you leave this field blank

The second syntax form, instead, is the one that creates the SFX file. It's really easy to use it because you have only to specify:

  1. the archive zip to be converted
  2. the language of the SFX module to be used (use -IT for italian or -US for english)
  3. the option file path

Look at the following examples.

Example 1: zg.exe -sfx test1.zip -IT test1opz.sof
(this command will create a SFX archive in italian and options will be read from test1opz.sof)

Example 2: zg.exe -sfx "C:\test\test1.zip" -US "C:\My Documents\test1opz.sof"
(this command will create an english SFX archive and options will be read from test1opz.txt, which is stored in My Documents folder)

-optim

  • Syntax 1: zg.exe -optim FILENAME -PM

This command starts OpenOffice.org documents optimization.

Switches are:

  • P - shows a progress indicator
  • M - shows a message when action is complete

Example: zg.exe -optim "C:\Test\MyDoc.sxw" -P

-encrypt

  • Syntax 1: -encrypt (filename.zip) C|E S|L|D 0 P|N Key1 Key2 Key3 [AuthorName][AuthorMail]
  • Syntax 2: -encrypt (filename.zip) C|E S|L|D 1|2|3 Passphrase [AuthorName] [AuthorMail]

This command can encrypt zip files in CZIP format.

Archive type:

  • C - standard CZIP file, it can be read by ZipGenius or a compatible software;
  • E - executable CZIP file, self-decrypting, it doesn't require any program to be opened.

Archive protection:

  • S - standard, unlimited number of trials allowed;
  • L - self locking file, the archive will lock itself after three wrong trials;
  • D - self deleting file, the archive will erase its contents after three wrong trials.

Algorhythm:

  • 0 - CZIP 2.1. Options available for this algorhythm:
    • Progress bar:
      • P - visible
      • N - not visible
    • CZIP Key (xxxxx-yyyyy-zzzzz):
      • Key1 - first key part
      • Key2 - second key part
      • Key3 - third key part
  • 1 - Blowfish 128 bit *
  • 2 - Twofish *
  • 3 - Rijndael (AES) *

* Algorhythms #1, #2, #3 have only the following option:

Passphrase - if this phrase has spaces between words, you must insert that between quotes
Ex.: test passphrase -> "test passphrase"

Optional info(they can be used with any algorhythm):

  • AuthorName - name of archive author
  • AuthorMail - e-mail address of archive author

NOTE: if you choose to create an executable CZIP file through the "E" switch, ZipGenius will use default settings for this kind of archive due to technical reasons; in fact, you can't make self-locking/erasing executable CZIP file (yet).

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Why files compression is useful?

Advanced actions

Exporting files list

ZipGenius 5 can export files list in various formats:

  • HTML - ZipGenius creates a HTML file (a Web page).
  • CSV - ZipGenius creates a file readable by many database programs (comma separated value).
  • XML - ZipGenius creates a XML file.
  • TXT - ZipGenius creates a plain text document.

NORMAL MODE

  • In "First Step Assistant" bar, choose an export option
  • choose in which folder ZipGenius should create the resulting file.

Optionally you can use the “Export file list” item in the “Tools” menu..

EXPERT MODE

Expert users can click on “Export…” items in the “Other actions” section of the sidebar or their equivalents in the "Tools" menu. In you haven't selected a favorite exportation format in the options panel, the "Export file list" item will have a submenu with all export formats available; on the contrary, if you have selected a favorite format, you won't see that submenu and clicking on the same item will export the file list into your favorite format.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Backup functions

Advanced actions

Backup functions

Even if Windows today is more stable than earlier versions, a good backup is the best way to protect your data and your work; that's why ZipGenius comes with a wide variety of backup options that will fit your needs.

Backup features can be reached through the main menu of ZipGenius, which is organized in two section.

1) Backup Options:

Compress files
Check this item if you want to compress files being added to the backup archive.

Insert date and time in filename
This option adds the date and time of creation to archive filename. The resulting filename will be look like: backupname_YYYYMMDD_HHmm.zip, where YYYY is the year, MM is the month, DD is the day, HH is the hour and "mm" is the minute.

Update archive
 Check this item if you need to add files to an existing backup archive and to update files that are already into that.

2) Choose backup:

Folder...
This one allows to backup a folder of your choice.

My Music folder
Choose this one to backup the "My Music" folder (Windows XP only).

My Pictures folder
This one allows to backup the "My Pictures" folder (Windows 2000/XP only).

My Video folder
This one allows to backup the "My Video" folder (Windows XP only).

IE Favorites
It allows to backup the Favorites folder of Internet Explorer.

My Documents
This backups your "My Documents" folders and creates an archive named Documents.zip.

Windows folder
Backups your windows folder and creates an archive named Windows.zip.

System folder
Backups your "\Windows\System" folder and creates an archive named System.zip.

Windows Registry
This does the backup of Windows Registry. ZipGenius will copy the files "system.dat", "user.dat", "system.ini" and "win.ini" in a ".cab" archive, compatible with "ScanReg ". By this way you will have the chance to restore your registry settings in a while. The resulting archive will be named "rb1000.cab" and it will be place in \Windows\Sysbckup.

In Windows 2000/XP this option is hidden due to security reason: in fact, if you try to manually restore the registry files, Windows will recognize that as a security violation and it will force you to re-install the operating system.

Outlook Express messages
 This one ackups all Outlook Express 5/6 folders and creates an archive named OE_bak.zip.

Windows Address Book
This does the backup of your current Windows Address Book in an archive named WAB_bak.zip.

Fonts
This does the backup of Windows' fonts folder.

Now you can enter up to 5 custom path to the Backup menu: click on "Add/manage custom backup folders". This feature allows you to have 5 folders ready to be put in a backup archive.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


OpenOffice.org documents optimization

Advanced actions

OpenOffice.org documents optimization

OpenOffice.org and StarOffice 6.x produce documents based on the XML standard language, and they create an XML file for contents, one for style and so on. When they must save the whole document, those programs create a zip file which will collect all the XML files and additional files needed by the document, and the zip file will have a different file extension (e.g.: ".SXW" for Writer documents). The worst detail about this beahviour is that they don't use the maximum compression level available in zip format, so ZipGenius can fix this issue.

ZipGenius can extract all files from a OpenOffice.org document and recompress them with the Brutal compression level. Thanks to this feature, OpenOffice.org documents will be 1-7% smaller than before (that depends by certain conditions such as the number of picture files in the document).

WARNING! Optimization feature can be also applied to encrypted OpenOffice.org document but this may lead to data loss, so you must be sure that you are trying to optimize a non-encrypted OpenOffice.org document before proceeding.

If you have enabled the support to OpenOffice.org in the Options panel, then you can optimize documents from the context menu: right-click on a document and select "Optimize" in the context menu, in order to optimize that. If you use this method, ZipGenius will be able to optimize more than one document at once (you have only to select multiple OpenOffice.org files and right-click on them).

However, you can optimize these documents from ZipGenius because you can open them just as you would do with standard zip files: click "Open" and choose a document. Now, if you have set "NORMAL" layout, ZipGenius will check the document and if it isn't optimized yet, ZG will ask if you want to optimize it. In "EXPERT" layout, on the contrary, you won't prompted for any action and you have to right-click in ZipGenius windows to choose "Optimize document" from ZipGenius popup menu. Anyway you will get additional items in the First Step Assistant menu. One of these allows to optimize all OpenOffice.org documents in a single folder.

When you optimize an OpenOffice.org document, ZipGenius stores a backup copy with ".BAK" extension, so you may recover the original file; also, ZipGenius add a comment to the document (it's a zip file comment): "ZG". This comment is used to check if the skin file has been already optimized or not. OpenOffice.org resets that comment each time it updates a document.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


WinAMP/WMP skins optimization

Advanced actions

WinAMP / Windows Media Player skins optimization

When you download an additional skin for WinAMP or WMP, maybe you don't know that you got a zip file. Rename a ".WAL" or a ".WMZ" file to ".ZIP" and open it.
Surprised? Well, ZipGenius take advantage of this chance and allows to optimize these skin files, just as you can do with OpenOffice.org and StarOffice documents. ZipGenius can extract all files from a OpenOffice.org document and recompress them with the Brutal compression level. Thanks to this feature, skin files will be 1-7% smaller than before. In this case you can't optimize those files from the context menu, but only through ZipGenius popup menu: click "Open", choose a skin file and right-click in ZipGenius window. Finally, choose "Optimize skin" from the popup menu.

When you optimize a skin file, ZipGenius stores a backup copy with ".BAK" extension, so you may recover the original skin file; also, ZipGenius add a comment to the skin file (it's a zip file comment): "ZG". This comment is used to check if the skin file has been already optimized or not.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


WinAMP/WMP skins optimization

Advanced actions

Search functions

SEARCH FOR ARCHIVES
ZipGenius can search archives in your system, then it can open them or print the list of archives found.
You can:

  • click on "Search Archives" in the tips page that will appear at ZipGenius startup

  • in "EXPERT" mode, you can click on the arrow beside the "Open" button and select "Search Archives" from the dropdown menu

Now choose which file type you want to search for, in which unit or folder to look in. Click "Start" to proceed.

FIND FILES IN AN ARCHIVE
ZipGenius allows searching for a file in an archive through some criteria. This feature is really useful when you need to find an archive in large archive. You can activate this feature through the "Panels" > "Find file" button of the sidebar. You have only to set search criteria:

  • Begins with…. : search files that have an initial sequence of characters in their filenames equal to the one you specify;

  • Equal to: search files which have their filenames equal to the one you specify;

  • Ends with…: search files that have a final sequence of characters in their filenames equal to the one you specify;

  • Contains: search files that have filenames containing the sequence of characters you specify.

Click "Start" to proceed: ZipGenius will show a list of files that satisfy those criteria; if you double-click on one of them, it will be marked in main file list.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Linea di comando

Advanced actions

MultiOpen
ZipGenius now allows to open more than one archive at once through the "MultiOpen" feature. Click on "Open" and choose multiple archives to activate it, and the program will open the first selected archive; all selected archives will appear as tabs above the file list, so you can click on a tab to open its related archive.

If you right-click on a tab, you will get a popup menu with the following items:

  • Group archive into a single zip
    This command creates a new zip file which contains all archives in the MultiOpen list.
  • Melt archives into a single zip
    This command melts the content of all archives in the MultiOpen list into a single zip. Files will be organized in separate folders, each one with a name taken from original archive. WARNING: for some types of archive you will need external programs, because this feature is based on ZipGenius extraction capabilities.
  • Close archive
    This command closes current archive and removes it from MultiOpen list.
  • Close all archives
    Closes all archives and clean MultiOpen list.
  • Extract all...
    This command decompress all open archives to the same folder, grouping files into subfolders each represting an archive.

Plus, if you are using ZipGenius in expert mode, you will also get:

  • Archive properties
  • Rename archive
  • Copy to...
  • Move to...
  • Delete current archive

These items are the same items you find in the "File" menu of ZipGenius.

If you have open a single archive, you can activate MultiOpen through the dropdown menu attached to the "Open" button, by clicking on "Add archive to MultiOpen List": you will prompted to select one or more archives to add to MultiOpen list; when you will choose some archives to add, the related tabs will be added.

Moreover, ZipGenius 5.2 has been redesigned to be used with just one instance of the program, so if you are in MultiOpen mode and you click on an archive in Windows Explorer, ZipGenius will add that archive to the tab list.

In MultiOpen mode you can copy files from any archive to one or all zip files open. Select one or more files and right-click to see the popup menu, which will show a new item labeled "MultiOpen Actions" with these two functions:

  • Copy file to... - this item will show all zip files open in a submenu: click on one of them to copy the selected file to that.
  • Copy to all open archives - this item will copy selected file to all open zip archives.

Antivirus | Multivolume archives | Encryption | Scan and Zip | ZG Album | Command Line | Exporting files list | Backup features | OpenOffice.org documents optimization | WinAmp/WMP skins optimization | Search features | MultiOpen


Linea di comando

ZGTools

What are ZGTools?

ZipGenius features can be extended throught the ZGTools, which are small applications that can be used as standalone programs or as extensions for ZipGenius; there are few ZGTools at this moment, but others are planned. One of this is shipped within the SUITE edition of ZipGenius, others can be downloaded from ZipGenius website.

Currently available ZGTools are:

  • Cutter 3 (available in Suite edition)
  • Time To Get! (optional for all ZipGenius versions)

M.Dev Software creates these ZGTools but every software developer may create his own ZGTools to be installed in ZipGenius 5 ( see how to do that ).

Installing ZGTools is very easy because those made by M.Dev Software have their own setup program: when a ZGTool is installed, its item(s) will appear under the ZipGenius "Tools" menu.

ZipGenius Tools | How to create a ZGTool | Cutter 3


Linea di comando

ZGTools

How to create a ZGTool

The SUITE edition of ZipGenius includes the so-called ZGTools ,small programs that can works both independently or together with ZipGenius. These ZGTools are made by M.Dev Software, but other parties can create them, too.

To make ZipGenius to recognize a ZGTool, this last must communicate its presence in the TOOLS.INI file, which is placed in the folder where ZipGenius is installed.
The ZGTools must write a section in this file, just as shown in the following example:

[Collector]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect archives
params=-zg
results=c:\windows\deskop\result.txt
fileopen=0
senadarcname=0
sendselected=0
sendall=0

This example shows all the required parameters to use in a section.

CMD
 This parameter tells the full path of the ZGTool to ZipGenius

CAPTION
Write here the caption of the item in the "Tools" menu that ZipGenius wil create for the ZGTool.

PARAMS
Write here additional parameters to the command-line. See also SendArcName, SendSelected e SendAll .

RESULTS
If the ZGTools write a result file, this parameter tells to ZipGenius the path to this file; the main program will show it in its internal editor.

FILEOPEN
This parameter tells if the ZGTool can be used only if an archive is opened in ZipGenius: "1" means "true", "0" means false (the ZGTools can be called always).

SENDARCNAME
If this value is set to "1", the filename of the archive currently opened in ZipGenius is added to the command-line.

SENDSELECTED
If this value is set to "1", all the archived files that are selected in ZipGenius window will be added to the command-line.

SENDALL
If this value is set to "1", all the files listed in ZipGenius window will be added to the command-line.

Tips for the developer:

  1. If you need to know where tools.ini is placed, your ZGTool must read a key in Windows Registry:
    • ZipGenius 1.4: HKEY_CURRENT_USER\Software\M.Dev Software\ZGTools
    • ZipGenius 5: HKEY_CURRENT_USER\Software\M.Dev Software\ZG5

    In these keys you will find the AppPath string value where the installation path of ZipGenius is stored. That's the path of tool.ini, too.

  2. You can create more than one
  section in tools.ini if your ZGTool does more than one job: you have only to provide a section for each action.
  Example:

[Collector_1]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect archives
params=-zg
results=c:\windows\deskop\result.txt
fileopen=0

[Collector_2]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect ZIP and CAB archives
params=-zg-zip -cab
results=c:\windows\deskop\result.txt
fileopen=0
  3. Be sure that the uninstall program of your ZGTool removes the related sections from tools.ini , and that this file won't be accidentally removed.
  4. The ZGTool can be also a script: VBScript, JavaScript and .BAT or .COM files.
  5. If your ZGTool creates a result file, make sure that the file begins with the name of the ZGTool, your name, and your e-mail addrees or the address of your homepage. Do this because the internal editor of ZipGenius can recognize hyperlinks.
  6. In a short round of time, it will be available a small utility that helps the subscription procedure of the ZGTools, so check often M.Dev Software site.
  7. Force your ZGTool to recognize the language used by ZipGenius, so it can add its menu item with the right language.

For more info, contact M.Dev Software.

ZipGenius Tools | How to create a ZGTool | Cutter 3


Linea di comando

StartPage | << Previous | Next >>
ZGTools

Cutter 3

Just as many other zip programs, ZipGenius has a "Disk spanning" feature that allow to distribute large zip files through a set of floppy disks or similar; however that feature applies only to zip files, so ZipGenius offers a second way to divide large files (of any type) into smaller parts: just use Cutter 3, the ZGTool shipped within SUITE edition of ZipGenius 5. You can choose the feile to split, how much large should be the resulting file parts and where you want to save them. When Cutter will have finished its work, you will find a new subfolder in the destination path, where you will find all the file parts produced by Cutter and a batch procedure (a .BAT file) that will rebuild the original file on end user's PC (even under DOS). This ZGTool is completely wizard-driven.

ZipGenius Tools | How to create a ZGTool | Cutter 3


Linea di comando

Internet and e-mail

Sending attachments and publishing to Web

ZipGenius has been designed to offer better integration with the Internet. Internet related features are:

SEND AS ATTACHMENT.
You can:

  • send an entire archive to someone by clicking on "Send as attachment" > "Archive": ZipGenius will launch your default e-mail client and you will be able to compose a new e-mail message which has an archive as attachment;
  • send just one or more files extracted from the archive by clicking on "Send as attachment" > "File": ZipGenius will create a new e-mail message which will have all selected files as attachments.

PuBLISH TO WEB.
You can upload an archive or just some files to a FTP server over the Internet. You can use this feature only is FTPGenius is installed and you have to behave just as you would do to send an attachment via e-mail (see above).

Sending attachments and publishing to Web | FTPGenius | Codifica UU/XX/MIME Base64


FTPGenius

Internet features

FTPGenius

FTPGenius is the FTP client shipped with ZipGenius. In previous versions it used to be integrated within ZipGenius executable, offering a great saving of kilobytes when producing the setup package; this technique was good until Windows XP® came out, asking to developers to redesign their product to comply with the new operating system. FTPGenius now is detached from ZipGenius and it is included only in SUITE Edition package (STD. Edition users can download it from www.zipgenius.it).

FTPGenius is still a basic, yet good, client to connect to FTP servers over the Web. "FTP" is an ancronym which stands for File Transfer Protocol, a "language" used to connect two computers through a network, only to send or get files. FTP is an alternative route to download files from the Internet, because often HTTP way is busy and becomes very slow, because that is the way used by browsers to request and show documents, pictures and multimedia streams; FTP is almost faster than HTTP because it is used only for files to be transferred.

You can run FTPGenius (if installed) from the "Tools" menu in ZipGenius, from the "Quick Launch" bar shortcut or from the Start menu shortcut.

FTPGenius is really easy to configure and use.

Create an account

  1. First of all you must click on "Connect" to see a dialog where you can set or choose a connection to an FTP server. If no connection is available, create it:
    • Type the description for the new connection (ex.: "MyFTP")
    • Type the FTP address (ex.: "ftp.myftp.com")
    • Now write username and password if FTP server needs these info to log you in, else click on "Anonymous access"
    • If you have typed a password and don't want to re-type it in the future, check "Save password" box
    • If you want, you can tell the program to go to a specific remote folder after connection (ex.: type "/maindir" to connect to "maindir" remote folder); if you want to connect to the remote root folder, leave (or type) simply "/" without quotes
    • If the FTP connection needs to pass through a specific port, type its number in the "Port" field, else leave (or type) "21" which is the defaule FTP port
    • Click "Save" to store these info
  2. Optionally you can configure FTPGenius to connect through a proxy server in the related "Proxy settings" page
  3. Finally you can set some options that might improve your FTP connection. "NOOP" setting tells the program how many seconds must pass to send a "NOOP" command to the FTP server, in order to tell it that you are still connected (NOT ALL FTP SERVERS UNDERSTAND THIS COMMAND); "Timeout" setting tells how many seconds must pass to consider a command failed. Check "Keep alive" box to force FTPGenius to send a "PWD" command to server at random intervals: this might help to keep you connected to the server.

Connection to a server
Select a connection between those available and click on "Start": FTPGenius will start FTP connection to the specified address.

Browsing a server
When connected, you will see the remote folder in the left pane, just as you see local folders in Windows Explorer; when you click on a folder, its content will appear in the right pane.

Transferring files
First of all you have to set which type of transfer you want to do: ASCII or BINARY. Set ASCII when transferring text files or similar, set BINARY for other types. Leaving AUTO set is a good idea, anyway. Check the "PASV" box if FTP server requires passive transfers.
- UPLOAD: Browse server to the destination folder and click the "Upload" button, then choose one or more files to transfer. You will see a progress dialog telling you how many files must be sent, how many bytes have been sent and the percentage of completion. When transfer will be complete, you will get a message on screen.

-DOWNLOAD: Browse server to find the files to be downloaded, select them and click the "Download" button. FTPGenius will ask you to choose a destination folder for files being downloaded. When transfer will be finished, you wil get a message.

Managing remote folders
 Depending by FTP server settings, you can create, delete or rename folders, and you can rename or delete files. Select a folder or one (or more) file(s) and right-click: you will see a popup menu that will allow you to do these actions.

Sending attachments and publishing to the Web | FTPGenius | UU/XX/MIME Base64 encoding


Linea di comando

Internet and e-mail

UU, XX and Mime/Base 64 encoding

There are two groups of files: "Binary" and "ASCII" files. A file of the first type is a sequence of "0" and "1", while the second kind is pure text. Sometimes you can't send a binary file to a FTP server over the Internet, because its administrator has denied access to binaries for safety reasons. The question is: how can you do to send a binary file also if it isn't accepted? You can encode it!
You can choose three kind of encoding:

UUencode: it's the oldest type and it was born on UNIX systems. It produces files with .uu or .uue extension, while ZipGenius produces only .uue files.

XXencode: very similar to the previous one, but it is considered as an evolution of it because it fixes some issues on ASCII table conversion. ZipGenius will produce .xxe files.

MIME Base 64: actually this method is the most spread because it's used by e-mail servers and programs. The files encoded with this system have the .mim and .b64 .b64 extensions.

You can encode an archive by opening the "Actions" menu, then choosing one of the three methods.

Sending attachments and publishing to the Web | FTPGenius | UU/XX/MIME Base64 encoding


Visualizzazione cartelle

ZG Lab - Troubleshooting
F.A.Q.

Click on a question to read the related answer.

  1. How can I open a file?
  2. How can I compress files?
  3. Which file types does ZipGenius support?
  4. How can I extract files from an archive?
  5. What is an "archive"?
  6. What is the "First Step Bar"?
  7. How can I backup a folder of my choice?
  8. How can I backup pictures, video, music files and similar?
  9. Why only Windows XP® users can extract to a CD-ROM burner?
  10. Does ZipGenius handle ISO image files?
  11. How can I customize ZipGenius window?
  12. I need to install ZipGenius on more than one computer: how can I export settings to other PCs?
  13. Why ZipGenius can't be installed under Windows 95 or NT4.x anymore?
  14. Is ZipGenius really free? Even for corporate users?
  15. I want to pay to use ZipGenius: how can I send you my money?
  16. Someone asked me money to download ZipGenius: is he/she authorized to do so?
  17. What are ZGTools?
  18. How can I build a batch file to automate ZipGenius actions? Any sample code?
  19. I have more than one PocketPC® device synchronized with my desktop PC...
  20. Why sidebar sometimes draws slowly?
  21. Which are the size/file limits for ZIP format?
  22. How can I make a slideshow?
  23. How OpenOffice.org docs optimization works?
  24. What is the "file marker"?

How can I open a file?
You can open a file in many ways:

  • Click the "Open" button in ZipGenius and choose a file throught the open file dialog
  • Drag and drop a zip file over ZipGenius link on the desktop
  • Right-click a zip file and choose "Open" from the context menu (but only if ZipGenius is associated to zip files)

How can I compress a file?
File compression procedure varies depending by the archive format you choose. Let's suppose you want to compress file in a zip archive:

  1. If the zip file must be created, click "New" and indicate path and filename for the new zip file; otherwise go to next step.
  2. Click "Add files" if you want to add just files, or "Add folder" if you want to compress the content of a folder.
  3. You will see a dialog ("Compression option") where you can set many options (see: Compression options).
  4. Click "Proceed" and wait until the action completes.

Which file types does ZipGenius support?
ZipGenius supports: ZIP, CZIP, CAB, ISO, XPI, 7Z, TAR, TAZ, TGZ, GZ, BZ2, Z, ARJ, ARC, ACE, RAR, SXW, SXI, SXD, SXC, SXM, SXG, STW, STI, STC, STD, ZOO, LZH, LHA, EXE, UU, UUE, XX, XXE, MIME/B64.

How can I extract files from an archive?
You can extract files in many ways:

  • Open an archive in ZipGenius and click on "Extract".
  • Drag and drop a file from ZipGenius to a folder or to the Desktop.
  • Right-click on an archive and, if enabled, click on one of the "Extract" items.

For further details upon extraction, see: Extracting files and The context menu.

What is an archive?
Compressed files are often recognized as "archives" just because they contain many files inside, organized in folders and subfolders. You may imagine a compressed files as an archive, where you can collect all data in a single place.

What is the "First Step Bar"?
Previous versions of ZipGenius had a wizard named "First Step Assistant", which was available by clicking a related button in the main toolbar. Now ZipGenius has a new GUI and all the functions offered by that wizard were moved to a special bar, located above the toolbar. FSA Bar is always available to user with "NORMAL" layout on and "EXPERT" users may decide to enable or disable it. All those functions are related to almost all the features of ZipGenius, but in this case, you will be driven by the program until completion.

How can I backup a folder of my choice?
ZipGenius now has an entire menu for backup features. Click on "Backup">"Folder..." and choose the folder to backup.

How can I backup pictures, video, music files and similar?
Open the "Backup" menu and choose what to backup.

Why only Windows XP® users can extract to a CD-ROM burner?
Windows XP® comes by default with CD burning features while previous version used to burn CD-ROMs through appropriate applications. This allowed many new features related to CD burning, because you can copy or move files to the CD-R/RW unit, which is the placeholder for a special folder where Windows stores them waiting for the burning process to be activated by user. ZipGenius uses this same feature: it extracts files and folders to that special location and user needs only to start the process. However we are trying to invent something to enable this feature also under Windows 98/ME and 2000.

Does ZipGenius handle ISO image files?

No more since version 5.2.5.xxx, due to license matters.

How can I customize ZipGenius window?

You can modify color scheme, fonts and appearance. Click on "Options" and go to the "Layout" page, where you can modify these setting.

I need to install ZipGenius on more than one computer: how can I export settings to other PCs?

This is a new feature. Click on "Options" and review all settings. If you are satisfied, click on "Export Settings". ZipGenius will ask you to select a location where to store the .REG file it is going to create; copy that file on a removable media (floppy disk, CD-R, Compact Flash, USB storage device and so on) and you are ready to copy settings. To store them on a different PC, just double click on the .REG file and Windows will ask you to confirm to store info in Windows Registry. Click "YES" and you're done.

Why ZipGenius can't be installed under Windows 95 or NT4.x anymore?

These older versions of Windows are going to be dismissed by Microsoft® and many ZipGenius advanced features can cause crashes when the program runs in those environments.

Is ZipGenius really free? Even for corporate users?

Yes, it is.

I want to pay to use ZipGenius: how can I send you my money?
ZipGenius is freeware, even if you decide to donate money to me. The best move you could do is to donate to some charity near you.

Someone asked me money to download ZipGenius: is he/she authorized to do so?

No, nobody is authorized to ask money for ZipGenius download. Please, report details about this person to zginfo@zipgenius.it

What are ZGTools?

ZGTools are small programs that do many things and, optionally, they can extend ZipGenius rich set of features. Everybody can build his own ZGTool. For more info, see: How to build a ZGTool?

How can I build a batch file to automate ZipGenius actions? Any sample code?

Use Notepad and write a text file with ZipGenius commands for the command line. See: How to use ZipGenius from the command line. Finally, save that file with the .BAT extension.

I have more than one PocketPC® device synchronized with my desktop PC...

Click "Options" and go to the "Mobile" page. You will find a dropdown list with all the PocketPC devices found. Choose one and click "OK".

Why sidebar sometimes draws slowly?

Did you try new video drivers?

Which are the size/file limits for ZIP format?

A ZIP file can contain max 65536 files and its max size is 4 GB, but ZipGenius 5.5 now uses ZipForge engine to handle ZIP files that go over those limits. You may also consider using the .7z archive format.

How can I make a slideshow?

First of all, check if ZG Album is installed. Open the "Actions" menu: do you see a menu item labeled "Make slideshow"? If not, launch ZipGenius setup again and install only ZG album, if you have downloaded ZipGenuius Suite Edition; if you have ZipGenius Standard Edition, you can download ZG Album from www.zipgenius.it.
There are two ways of making a slideshow:

  1. Through Scan and Zip: acquire pictures from a TWAIN devices, just as explained in Importing Pictures.
  2. By choosing a folder: click on "Make slideshow" in the "Actions" menu, choose a folder, write Album details and you're done.

How OpenOffice.org docs optimization works?

When OpenOffice.org stores its documents, it produces a bunch of XML files with different functions (style, content and so on) and image files, if document has images. Finally it zips all these files and changes the file extension to *.SX* (.SXW for Writer and so on); but OpenOffice.org doesn't use the maximum compression level because reading these docs would be slower. And you if you need to gain some extra KiloByte? Use ZipGenius, which can read and extract files from OpenOffice.org documents. ZipGenius extract all the contents of OOo documents and re-zip them using the Brutal compression level. Documents will be always working but you will have gained some KB. Optimized OpenOffice.org documents are zip files with an OOo extension and "ZG" as zip comment: this comment is used only by ZipGenius to recognize OOo already optimized documents (OpenOffice.org writes a new zip file each time you save your document, so the zip comment is automatically removed).

What is the "file marker"?

You often open zip archives with hundreds of files inside and you are looking for just one file or for files of a given type. You may force ZipGenius to mark them with different font colors, styles and background color.

F.A.Q. | Contacts


Visualizzazione cartelle

ZG Lab - Troubleshooting
Contatti

>> Home page: www.zipgenius.it

>> Generic info about ZipGenius (no technical support): zginfo@zipgenius.it

>> Technical support: support@zipgenius.it

>> Developer support: zginfo@zipgenius.it

Also, it is suggested to visit often www.zipgenius.it/forum/ to discuss with other ZipGenius users.

F.A.Q. | Contacts


Aggiornamenti

Introduction
Unattended setup

System administrators usually have to install an application over a LAN with many machines attached to that: that's why ZipGenius now offer the unattended setup feature.

Launching an unattended setup is really easy.

Click Start>Run and type the following code:

  • zgXXXYYY.exe /verysilent

Where X and Y stand for version and edition of the file you have downloaded, so - as example - if you get ZipGenius 5.5.1 Suite, you will have to type: zg551sui.exe /verysilent.

Obviously, you can add this command to a batch file for larger system setup.

Introduction | Supported archives | ZipGenius 5 features | Updates | System requirements | Unattended setup